
using System;
using System.Collections.Generic;
using System.Linq;
using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace Example_HelloWorld_2
{
	public class Application
	{
		static void Main (string[] args)
		{
			UIApplication.Main (args);
		}
	}

	// The name AppDelegate is referenced in the MainWindow.xib file.
	public partial class AppDelegate : UIApplicationDelegate
	{
		protected List<NavItem> _navItems = new List<NavItem> ();
	
		// This method is invoked when the application has loaded its UI and its ready to run
		public override bool FinishedLaunching (UIApplication app, NSDictionary options)
		{
			// If you have defined a view, add it here:
			window.AddSubview (this.mainNavigationController.View);
			
			window.MakeKeyAndVisible ();
			
			//---- create our list of items in the nav
			this._navItems.Add (new NavItem ("Hello World", typeof(HelloWorldScreen)));
			this._navItems.Add (new NavItem ("Hello Universe", typeof(HelloUniverseScreen)));
			
			//---- configure our datasource
			this.mainNavTableView.DataSource = new NavTableViewDataSource (this._navItems);
			this.mainNavTableView.Delegate = new NavTableDelegate (this.mainNavigationController, this._navItems);
			
			return true;
		}
	
		// This method is required in iPhoneOS 3.0
		public override void OnActivated (UIApplication application)
		{
		}
	}
}
